Adding upstream version 0.9.0.
[debian/lxpanel.git] / src / Makefile.am
index ff8a3eb..2e9a266 100644 (file)
@@ -10,6 +10,7 @@ lxpanel_CPPFLAGS = \
        -DPACKAGE_BIN_DIR=\""$(bindir)"\" \
        -DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
        $(PACKAGE_CFLAGS) \
+       $(KEYBINDER_CFLAGS) \
        $(G_CAST_CHECKS)
 
 BUILTIN_PLUGINS = $(top_builddir)/plugins/libbuiltin_plugins.a
@@ -20,7 +21,7 @@ endif
 
 pkglib_LTLIBRARIES = liblxpanel.la
 
-liblxpanel_la_CPPFLAGS = $(lxpanel_CPPFLAGS) $(KEYBINDER_CFLAGS)
+liblxpanel_la_CPPFLAGS = $(lxpanel_CPPFLAGS)
 liblxpanel_la_SOURCES = \
        misc.c \
        configurator.c \
@@ -28,8 +29,10 @@ liblxpanel_la_SOURCES = \
        ev.c \
        icon-grid.c \
        panel.c \
+       panel-plugin-move.c \
        plugin.c \
        conf.c \
+       space.c \
        input-button.c
 
 liblxpanel_la_LDFLAGS = \
@@ -65,6 +68,7 @@ lxpanel_LDADD = \
                liblxpanel.la \
                $(BUILTIN_PLUGINS) \
                $(PACKAGE_LIBS) \
+               $(KEYBINDER_LIBS) \
                $(X11_LIBS)
 
 lxpanelctl_SOURCES = lxpanelctl.c lxpanelctl.h
@@ -77,6 +81,7 @@ EXTRA_DIST = \
        menu-policy.h \
        icon-grid-old.h \
        gtk-compat.h \
+       space.h \
        private.h
 
 $(top_builddir)/plugins/libbuiltin_plugins.a: $(lxpanel_include_HEADERS) builtin-plugins-hook